org.eclipse.jface.contexts

## Interface IContextIds

    public interface IContextIds

A list of well-known context identifiers. The context identifiers use the prefix "org.eclipse.ui" for historical reasons. These contexts exist as part of JFace.

This interface should not be implemented or extended by clients.

Since:
  3.1

### Field Summary

Fields
`static String` `CONTEXT_ID_DIALOG` The identifier for the context that is active when a shell registered as a dialog.
`static String` `CONTEXT_ID_DIALOG_AND_WINDOW` The identifier for the context that is active when a shell is registered as either a window or a dialog.
`static String` `CONTEXT_ID_WINDOW` The identifier for the context that is active when a shell is registered as a window.

### Field Detail

#### CONTEXT_ID_DIALOG

    static final String CONTEXT_ID_DIALOG

The identifier for the context that is active when a shell registered as a dialog.

See Also:
  Constant Field Values

#### CONTEXT_ID_DIALOG_AND_WINDOW

    static final String CONTEXT_ID_DIALOG_AND_WINDOW

The identifier for the context that is active when a shell is registered as either a window or a dialog.

See Also:
  Constant Field Values

#### CONTEXT_ID_WINDOW

    static final String CONTEXT_ID_WINDOW

The identifier for the context that is active when a shell is registered as a window.

See Also:
  Constant Field Values